Bug 49138 - [Qt] Path::addArc() does not set right angle direction on full arcs
Summary: [Qt] Path::addArc() does not set right angle direction on full arcs
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-07 01:12 PST by Helder Correia
Modified: 2010-11-12 12:23 PST (History)
3 users (show)

See Also:


Attachments
Patch (1.77 KB, patch)
2010-11-07 01:21 PST, Helder Correia
no flags Details | Formatted Diff | Diff
Patch (43.80 KB, patch)
2010-11-08 13:15 PST, Helder Correia
no flags Details | Formatted Diff | Diff
Patch (7.39 KB, patch)
2010-11-10 18:54 PST, Helder Correia
no flags Details | Formatted Diff | Diff
Patch (5.68 KB, patch)
2010-11-11 20:43 PST, Helder Correia
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helder Correia 2010-11-07 01:12:05 PST
The test page http://www.html5.jp/test/fillStyle_winding_number_rule2.html is correctly rendered in all browsers except QtTestBrowser.
A set of green thick circumferences with the same center and different radius is expected, but a green canvas is obtained instead.
Comment 1 Helder Correia 2010-11-07 01:21:20 PST
Created attachment 73191 [details]
Patch
Comment 2 Andreas Kling 2010-11-07 02:44:56 PST
Comment on attachment 73191 [details]
Patch

Needs a layout test.
Comment 3 Andreas Kling 2010-11-07 05:45:11 PST
(In reply to comment #0)
> The test page http://www.html5.jp/test/fillStyle_winding_number_rule2.html is correctly rendered in all browsers except QtTestBrowser.

Renders as a filled green rectangle in Chromium here, BTW.
Comment 4 Helder Correia 2010-11-08 13:15:59 PST
Created attachment 73273 [details]
Patch
Comment 5 Andreas Kling 2010-11-09 00:56:45 PST
Comment on attachment 73273 [details]
Patch

This should be tested with a dumpAsText test so not just QtWebKit is covered, it should be easy to create one using canvas's getImageData().
Comment 6 Helder Correia 2010-11-10 18:54:43 PST
Created attachment 73567 [details]
Patch
Comment 7 Andreas Kling 2010-11-11 03:09:19 PST
Comment on attachment 73567 [details]
Patch

Better but not quite there yet. Please put the test logic in the script-tests/ subdirectory.
Then use make-script-test-wrappers to generate the boilerplate HTML for the test.
Comment 8 Helder Correia 2010-11-11 20:43:31 PST
Created attachment 73697 [details]
Patch
Comment 9 Andreas Kling 2010-11-12 04:14:04 PST
Comment on attachment 73697 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=73697&action=review

Excellent, r=me with one comment:

> LayoutTests/ChangeLog:11
> +        * fast/canvas/canvas-arc-360-winding.html: Added.

This test will fail on Chromium, so you should at least add it to their skip list.
Comment 10 WebKit Commit Bot 2010-11-12 12:23:44 PST
Comment on attachment 73697 [details]
Patch

Clearing flags on attachment: 73697

Committed r71936: <http://trac.webkit.org/changeset/71936>
Comment 11 WebKit Commit Bot 2010-11-12 12:23:50 PST
All reviewed patches have been landed.  Closing bug.